## com.sun.pdfview.font.ttf
Class HheaTable

    java.lang.Object
      com.sun.pdfview.font.ttf.TrueTypeTable
          com.sun.pdfview.font.ttf.HheaTable

    public class HheaTable

extends TrueTypeTable

Field Summary

Fields inherited from class com.sun.pdfview.font.ttf.TrueTypeTable
`CMAP_TABLE, GLYF_TABLE, HEAD_TABLE, HHEA_TABLE, HMTX_TABLE, LOCA_TABLE, MAXP_TABLE, NAME_TABLE, POST_TABLE`

Constructor Summary
`protected` `HheaTable()` Creates a new instance of HeadTable Makes up reasonable(?) defaults for all values

Method Summary
`short` `getAdvanceWidthMax()` Getter for property advanceWidthMax.
`short` `getAscent()` Getter for property ascent.
`short` `getCaretOffset()` Getter for property caretOffset.
`short` `getCaretSlopeRise()` Getter for property caretSlopeRise.
`short` `getCaretSlopeRun()` Getter for property caretSlopeRun.
`java.nio.ByteBuffer` `getData()` Get the data we have stored
`short` `getDescent()` Getter for property descent.
`int` `getLength()` Get the length of this table
`short` `getLineGap()` Getter for property lineGap.
`short` `getMetricDataFormat()` Getter for property metricDataFormat.
`short` `getMinLeftSideBearing()` Getter for property minLeftSideBearing.
`short` `getMinRightSideBearing()` Getter for property minRIghtSideBearing.
`short` `getNumOfLongHorMetrics()` Getter for property numOfLongHorMetrics.
`int` `getVersion()` Getter for property version.
`short` `getXMaxExtent()` Getter for property xMaxExtent.
`void` `setAdvanceWidthMax(short advanceWidthMax)` Setter for property advanceWidthMax.
`void` `setAscent(short ascent)` Setter for property ascent.
`void` `setCaretOffset(short caretOffset)` Setter for property caretOffset.
`void` `setCaretSlopeRise(short caretSlopeRise)` Setter for property caretSlopeRise.
`void` `setCaretSlopeRun(short caretSlopeRun)` Setter for property caretSlopeRun.
`void` `setData(java.nio.ByteBuffer data)` Parse the data before it is set
`void` `setDescent(short descent)` Setter for property descent.
`void` `setLineGap(short lineGap)` Setter for property lineGap.
`void` `setMetricDataFormat(short metricDataFormat)` Setter for property metricDataFormat.
`void` `setMinLeftSideBearing(short minLeftSideBearing)` Setter for property minLeftSideBearing.
`void` `setMinRightSideBearing(short minRightSideBearing)` Setter for property minRIghtSideBearing.
`void` `setNumOfLongHorMetrics(short numOfLongHorMetrics)` Setter for property numOfLongHorMetrics.
`void` `setVersion(int version)` Setter for property version.
`void` `setXMaxExtent(short xMaxExtent)` Setter for property xMaxExtent.
`java.lang.String` `toString()` Create a pretty string

Methods inherited from class com.sun.pdfview.font.ttf.TrueTypeTable
`createTable, createTable, getTag, stringToTag, tagToString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HheaTable

    protected HheaTable()

  Creates a new instance of HeadTable Makes up reasonable(?) defaults for all values

Method Detail

### setData

    public void setData(java.nio.ByteBuffer data)

  Parse the data before it is set

  Overrides:
    `setData` in class `TrueTypeTable`

### getData

    public java.nio.ByteBuffer getData()

  Get the data we have stored

  Overrides:
    `getData` in class `TrueTypeTable`

### getLength

    public int getLength()

  Get the length of this table

  Overrides:
    `getLength` in class `TrueTypeTable`

### getVersion

    public int getVersion()

  Getter for property version.

  Returns:
    Value of property version.

### setVersion

    public void setVersion(int version)

  Setter for property version.

  Parameters:
    `version` - New value of property version.

### toString

    public java.lang.String toString()

  Create a pretty string

  Overrides:
    `toString` in class `TrueTypeTable`

### getAscent

    public short getAscent()

  Getter for property ascent.

  Returns:
    Value of property ascent.

### setAscent

    public void setAscent(short ascent)

  Setter for property ascent.

  Parameters:
    `ascent` - New value of property ascent.

### getDescent

    public short getDescent()

  Getter for property descent.

  Returns:
    Value of property descent.

### setDescent

    public void setDescent(short descent)

  Setter for property descent.

  Parameters:
    `descent` - New value of property descent.

### getLineGap

    public short getLineGap()

  Getter for property lineGap.

  Returns:
    Value of property lineGap.

### setLineGap

    public void setLineGap(short lineGap)

  Setter for property lineGap.

  Parameters:
    `lineGap` - New value of property lineGap.

### getAdvanceWidthMax

    public short getAdvanceWidthMax()

  Getter for property advanceWidthMax.

  Returns:
    Value of property advanceWidthMax.

### setAdvanceWidthMax

    public void setAdvanceWidthMax(short advanceWidthMax)

  Setter for property advanceWidthMax.

  Parameters:
    `advanceWidthMax` - New value of property advanceWidthMax.

### getMinLeftSideBearing

    public short getMinLeftSideBearing()

  Getter for property minLeftSideBearing.

  Returns:
    Value of property minLeftSideBearing.

### setMinLeftSideBearing

    public void setMinLeftSideBearing(short minLeftSideBearing)

  Setter for property minLeftSideBearing.

  Parameters:
    `minLeftSideBearing` - New value of property minLeftSideBearing.

### getMinRightSideBearing

    public short getMinRightSideBearing()

  Getter for property minRIghtSideBearing.

  Returns:
    Value of property minRIghtSideBearing.

### setMinRightSideBearing

    public void setMinRightSideBearing(short minRightSideBearing)

  Setter for property minRIghtSideBearing.

  Parameters:
    `minRightSideBearing` - New value of property minRIghtSideBearing.

### getXMaxExtent

    public short getXMaxExtent()

  Getter for property xMaxExtent.

  Returns:
    Value of property xMaxExtent.

### setXMaxExtent

    public void setXMaxExtent(short xMaxExtent)

  Setter for property xMaxExtent.

  Parameters:
    `xMaxExtent` - New value of property xMaxExtent.

### getCaretSlopeRise

    public short getCaretSlopeRise()

  Getter for property caretSlopeRise.

  Returns:
    Value of property caretSlopeRise.

### setCaretSlopeRise

    public void setCaretSlopeRise(short caretSlopeRise)

  Setter for property caretSlopeRise.

  Parameters:
    `caretSlopeRise` - New value of property caretSlopeRise.

### getCaretSlopeRun

    public short getCaretSlopeRun()

  Getter for property caretSlopeRun.

  Returns:
    Value of property caretSlopeRun.

### setCaretSlopeRun

    public void setCaretSlopeRun(short caretSlopeRun)

  Setter for property caretSlopeRun.

  Parameters:
    `caretSlopeRun` - New value of property caretSlopeRun.

### getCaretOffset

    public short getCaretOffset()

  Getter for property caretOffset.

  Returns:
    Value of property caretOffset.

### setCaretOffset

    public void setCaretOffset(short caretOffset)

  Setter for property caretOffset.

  Parameters:
    `caretOffset` - New value of property caretOffset.

### getMetricDataFormat

    public short getMetricDataFormat()

  Getter for property metricDataFormat.

  Returns:
    Value of property metricDataFormat.

### setMetricDataFormat

    public void setMetricDataFormat(short metricDataFormat)

  Setter for property metricDataFormat.

  Parameters:
    `metricDataFormat` - New value of property metricDataFormat.

### getNumOfLongHorMetrics

    public short getNumOfLongHorMetrics()

  Getter for property numOfLongHorMetrics.

  Returns:
    Value of property numOfLongHorMetrics.

### setNumOfLongHorMetrics

    public void setNumOfLongHorMetrics(short numOfLongHorMetrics)

  Setter for property numOfLongHorMetrics.

  Parameters:
    `numOfLongHorMetrics` - New value of property numOfLongHorMetrics.